Se connecter / S'enregistrer
Votre question

MAJ perl comment kon fait ?? :-(

Tags :
  • linux
  • Système d'exploitation
Dernière réponse : dans Systèmes d'exploitation
21 Mars 2007 14:23:02

Salut
voila g voulu installer un log de statistique sous une redhat, et quand je lance l'instance, voila l'erreur qu'il me donne


Perl v5.8.0 required--this is only v5.6.1, stopped at /opt/proxcube/lib/perl5/site_perl/5.6.1/i386-linux/WebDyne/Filter/Decrypt.pm line 7.
BEGIN failed--compilation aborted at /opt/proxcube/lib/perl5/site_perl/5.6.1/i386-linux/WebDyne/Filter/Decrypt.pm line 7.
Compilation failed in require at /opt/proxcube/lib/perl5/site_perl/5.6.1/ProxCube/Install.pm line 2.
BEGIN failed--compilation aborted at /opt/proxcube/lib/perl5/site_perl/5.6.1/ProxCube/Install.pm line 2.
Compilation failed in require at ./proxcubeinit line 48.

G pas la derniere version de pearl, c'est surment du a çà ?
pouvez vous m'aider !! Plizzz

Autres pages sur : maj perl kon fait

21 Mars 2007 14:55:40

quelle redhat as tu?
perl a été compilé ou installé depuis un paquet rpm?
21 Mars 2007 15:29:48

red hat 7.3 il a été compilé :) 
Contenus similaires
21 Mars 2007 17:18:57

ah, je sais pas si perl comporte une méthode pour le mettre à jour, je conseillerais la compilation d'une version plus récente, mais attend peut etre d'autre avis :) 
22 Mars 2007 17:03:18

Ok merci kan meme !!
J'ai une otre question !!
lorsquon install un fichier .rpm !!
avec la commande rpm -ivh nom_du_fichier.rpm
ou est il stocké ?
merci
22 Mars 2007 17:42:21

pour lister les fichier installé par le paquet, tapes:
  1. rpm -ql nom_du_paquet

la nom du paquet peut être différent de celui du fichier, c'est le nom qu'il t'a affiché lors de l'installation
23 Mars 2007 08:50:03

ok merci bien pour ta réponse !!
Mais voila ce que j'ai

[root@TEST sarg]# rpm -ivh sarg-1.2.1-1.src.rpm
1:sarg ########################################### [100%]
[root@TEST sarg]# rpm -ql sarg-1.2.1-1.src.rpm
package sarg-1.2.1-1.src.rpm is not installed
[root@TEST sarg]#

je comprend pas tt, il est pourtant installé !! non ??
23 Mars 2007 09:52:22

tu n'as pas tout lu de mon poste:
coca25 a dit :

la nom du paquet peut être différent de celui du fichier, c'est le nom qu'il t'a affiché lors de l'installation


il faut taper:
  1. rpm -ql sarg
23 Mars 2007 16:36:05

oups pas fait attention :-(
merci !!
j'aurai surment d'autres questions a te poser sur linux plutart :-)
alors guette ce post
encore thx
++
26 Mars 2007 11:09:44

Coucou !!!
Saurais tu si on peut afficher un message d'accueil, lorsqu'on se connecte sur un serveur via putty ?
J'ai vu que l'on pouvez faire çà, mais je ne trouve pas le fichier a éditer !!! :-(

Merci
26 Mars 2007 12:03:43

re,
le message d'accueil se trouve dans /etc/motd
26 Mars 2007 15:16:44

yeeer mec merci bien !!!
27 Mars 2007 10:37:35

Besoin d'aide besoin d'aide !!
Je ne comprends pas, sur mon linux, j'ai apache d'installé, mais il n'y a pas le module php.
J'ai donc téléchargé le module (Version php-4.1.2-7.i386.rpm)
J'ai voulu l'installé, mais il me met qu'il a besoin d'une dépendance.
J'ai donc installé cette dépendance ( curl-7.11.0-5.norlug.src.rpm )
Mais ca fonctionne toujours pas.
Merci beaucoup

[root@CALMAR tmp]# rpm -ivh curl-7.11.0-5.norlug.src.rpm
1:curl ########################################### [100%]
[root@CALMAR tmp]# rpm -ivh php-4.1.2-7.i386.rpm
error: failed dependencies:
libcurl.so.2 is needed by php-4.1.2-7
[root@CALMAR tmp]#
27 Mars 2007 10:40:28

le .src dans curl-7.11.0-5.norlug.src.rpm indique que ce paquet contient les sources du programmes, il te faut chercher le paquet des librairies compilés: curl-7.11.0-5.norlug.rpm puis installer le tout
27 Mars 2007 10:45:27

OHOOO c'est trop génial ke tu sois connecté, je regarde çà tout de suite !!!
27 Mars 2007 10:55:39

heuuu, j'ai beau chercher sur

http://fr.rpmfind.net/
ou bien
http://rpm.pbone.net/

il ne propose que des fichiers src !!

Mais que dois-je chercher en faite ??

le fichier libcurl.so.2 ou le fichier curl-7.11.0-5.norlug.rpm

Ou est ce que le fichier curl-7.11.0-5.norlug.rpm regroupe plusieurs librairies dont libcurl.so.2 ?? est ce bien çà ??
27 Mars 2007 11:00:27

hep j'ai trouver en faite, j'ai téléchargé ce fichier là "curl-7.9.5-2.i386.rpm" et puis aprés j'ai retenté d'installer mon module php et çà a fonctionné, il ne m'a pas redemandé la dépendance en question
:) 
27 Mars 2007 14:50:16

Oula j'ai une question dure a te poser :-)

Comment peut on faire pour mettre l'horloge de ma red hat a l'heure ?? !!! :-) Sachant ke je ne peux y accéder quand terminal via putty.

Car quand je tape "date", ya 2 heures de retard !! :-(
27 Mars 2007 15:00:18

extrait du man:
Citation :

date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]]


donc
  1. date 01010812

mettra la date système au 1er janvier de l'année en cours à 08h12
4 Avril 2007 15:13:45

salut coca25 !!

J'ai une question qui te paraitera peut etre stupide, mais voila depuis le temps, je me pose cette question.

Les fichier tar, sont des fichier compressé, il suffit de les decompresser via la commande "tar -xzf nom_fichier"
Plusieurs types de fichier rpm :
les norlug
les src
les rpm (tout court)
Ces fichiers s'installent en utilisant la commande "rpm -option nom_fichier"

Mais a koi servent les src ou les norlug exactement ?
si on fait rpm -i nom_fichier.src.rpm
ou vont les fichiers ?
et idem pour rpm -i nom_fichier.norlug.rpm

Merci de m'éclairer !!!
++
4 Avril 2007 15:24:55

salut,
Citation :

Plusieurs types de fichier rpm :
les norlug
les src
les rpm (tout court)

ce n'est pas plusieurs type, c'est le même format.
src indique que le paquets contient les sources de l'application
norlug indique que le paquet est fait par North Field Linux User Group

pour connaitre l'emplacement des fichier:
  1. rpm -ql nom_du_paquet
4 Avril 2007 15:29:40

mais c'est quoi la différence alors entre norlug et src ??
excuse moi d'insisté, mais je n'arrive pas à comprendre

Que faut il prendre s'il on souhaite installer un soft ?

je pensais que le format RPM permettait d'installer un soft, bien plus facilement qu'un tar qui requit de le compiler de linstaller.

Mais maintenant ya plusieurs rpm !!!
;-(
4 Avril 2007 15:55:31

je me suis mal exprimé, le .src.rpm ne contient que les sources, il faut compiler (après il y a des méthodes plus simple pour compiler)
entre un norlug et un rpm tout court, tu choisis celui que tu veux
privilégie toujours ceux de ta distribution
Tom's guide dans le monde
  • Allemagne
  • Italie
  • Irlande
  • Royaume Uni
  • Etats Unis
Suivre Tom's Guide
Inscrivez-vous à la Newsletter
  • ajouter à twitter
  • ajouter à facebook
  • ajouter un flux RSS